# Uses of Interface
org.eclipse.team.core.mapping.ISynchronizationScope

Packages that use ISynchronizationScope
Package
Description
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.core.mapping.provider
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ISynchronizationScope in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return ISynchronizationScope
Modifier and Type
Method
Description
`ISynchronizationScope`
ISynchronizationScope.`asInputScope()`
Return a scope that only contains the input mappings of this scope.
`ISynchronizationScope`
ISynchronizationContext.`getScope()`
Return the input that defined the scope of this synchronization context.
`ISynchronizationScope`
ISynchronizationScopeManager.`getScope()`
Return the scope that is managed by this manager.
Methods in org.eclipse.team.core.mapping with parameters of type ISynchronizationScope
Modifier and Type
Method
Description
`ISynchronizationScopeParticipant`
ISynchronizationScopeParticipantFactory.`createParticipant(ModelProvider provider, ISynchronizationScope scope)`
Create a participant in the scope management process for the given model provider.
`ResourceMapping[]`
ISynchronizationScopeParticipant.`handleContextChange(ISynchronizationScope scope, IResource[] resources, IProject[] projects)`
Callback that the manager makes to participants when the state of resources that are contained in the resource mapping context of the manager change.
`void`
ISynchronizationScopeChangeListener.`scopeChanged(ISynchronizationScope scope, ResourceMapping[] mappings, ResourceTraversal[] traversals)`
Notification that the scope has changed.

## Uses of ISynchronizationScope in org.eclipse.team.core.mapping.provider

Methods in org.eclipse.team.core.mapping.provider that return ISynchronizationScope
Modifier and Type
Method
Description
`protected final ISynchronizationScope`
SynchronizationScopeManager.`createScope(ResourceMapping[] inputMappings)`
Create the scope that will be populated and returned by the builder.
`ISynchronizationScope`
SynchronizationContext.`getScope()`
`ISynchronizationScope`
SynchronizationScopeManager.`getScope()`
Methods in org.eclipse.team.core.mapping.provider with parameters of type ISynchronizationScope
Modifier and Type
Method
Description
`protected final void`
SynchronizationScopeManager.`setHasAdditionalMappings(ISynchronizationScope scope, boolean hasAdditionalMappings)`
Set whether the scope has additional mappings.

## Uses of ISynchronizationScope in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return ISynchronizationScope
Modifier and Type
Method
Description
`protected ISynchronizationScope`
SynchronizationContentProvider.`getScope()`
Return the resource mapping scope associated with the view to which this content provider applies.
`ISynchronizationScope`
SynchronizationLabelProvider.`getScope()`
Return the resource mapping scope associated with the view to which this label provider applies.
Methods in org.eclipse.team.ui.mapping with parameters of type ISynchronizationScope
Modifier and Type
Method
Description
`protected Object[]`
SynchronizationContentProvider.`getChildrenInScope(ISynchronizationScope scope, Object parent, Object[] children)`
Return the subset of the given children that are in the given scope or are parents of elements that are in scope.
`String[]`
ITeamContentProviderManager.`getContentProviderIds(ISynchronizationScope scope)`
Convenience method that returns the list of all enabled content extension ids for models that have mappings in the given scope.
`protected boolean`
SynchronizationContentProvider.`hasChildrenInScope(ISynchronizationScope scope, Object element)`
Return whether the given element has children in the given scope.
`protected boolean`
SynchronizationContentProvider.`isInScope(ISynchronizationScope scope, Object parent, Object element)`
Return whether the given object is within the scope of this content provider.

## Uses of ISynchronizationScope in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return ISynchronizationScope
Modifier and Type
Method
Description
`ISynchronizationScope`
ModelOperation.`getScope()`
Return the scope of this operation.